import React, { useState, useEffect } from 'react';
import { Col, Row, Statistic } from 'antd';
import './index.less'
import {
  FullScreenContainer,
  Decoration9,
  BorderBox10,
  BorderBox1,
  ScrollBoard,
} from '@jiaminghi/data-view-react'
import ReactPlayer from 'react-player'
import Api from "@/api/kepService"
import mp43 from '../../components/KepData/img/bandicam.mp4'
const KepData: React.FC = () => {

  const [thisdate, setThisdate] = useState({ timeStr: '' })

  const [dataVData, setDataVData] = useState({ "A1": "AA" })
  const [logData, setLogData] = useState({
    header: ['报警设备', '报警信息', '报警时间'],
    rowNum: 5,
    headerBGC: "#000724",
    oddRowBGC: "#000724",
    evenRowBGC: "#000724",
    data: [[]]
  })
  const mp43url=mp43;
  const initScript = () => {
    let script = document.createElement('script')
    script.type = 'text/javascript'
    script.async = true
    script.src = './index.js'//这个代表的是script 的src
    document.head.appendChild(script)
  }

  useEffect(() => {
    const id = setInterval(() => {
      getdatavData();
    }, 1000 * 5);

    return () => {
      clearInterval(0); //组件卸载时清除定时器
    };

  }, [])

  const getdatavData = async () => {
    const response = await Api.getdatavData();
    if (response.statusCode === 200) {
      setDataVData(response.data);
    }

    // Api.getlogs().then((r) => {
    //   setLogData({
    //     header: ['报警设备', '报警信息', '报警时间'],
    //     rowNum: 5,
    //     headerBGC: "#000724",
    //     oddRowBGC: "#000724",
    //     evenRowBGC: "#000724",
    //     data: r.data
    //   });
    // });
  }

  const style = { width: '5px', height: '45%' }

  const style2 = {
    width: '120px',
    height: '50px',
    lineHeight: '50px',
    textAlign: 'center',
    marginLeft: '200px',
  }
  function setTimingFn() {
    setInterval(() => {
      let dateYear = formatTime(new Date(), 'yyyy-MM-dd');
      let dateDay = formatTime(new Date(), 'HH: mm: ss');
      setThisdate({ timeStr: `${dateYear}  ${dateDay} ` });
    }, 1000);
  }
  function formatTime(time: string | number | Date, fmt: string) {
    if (!time) return '';
    else {
      const date = new Date(time);
      const o = {
        'M+': date.getMonth() + 1,
        'd+': date.getDate(),
        'H+': date.getHours(),
        'm+': date.getMinutes(),
        's+': date.getSeconds(),
        'q+': Math.floor((date.getMonth() + 3) / 3),
        S: date.getMilliseconds(),
      };
      if (/(y+)/.test(fmt))
        fmt = fmt.replace(
          RegExp.$1,
          (date.getFullYear() + '').substr(4 - RegExp.$1.length)
        );
      for (const k in o) {
        if (new RegExp('(' + k + ')').test(fmt)) {
          fmt = fmt.replace(
            RegExp.$1,
            RegExp.$1.length === 1
              ? o[k]
              : ('00' + o[k]).substr(('' + o[k]).length)
          );
        }
      }
      return fmt;
    }
  }


  return (
    <div id="data-view">
      <FullScreenContainer>

        <div className="main-header">
          <div className="mh-left">   </div>
          <div className="mh-middle">
            远江生物数据大屏
          </div>
          <div className="mh-right">
            <div className='dateclass' >
              {thisdate.timeStr}
            </div>
          </div>
        </div>
        <div className="main-container">
          <div className='main-container_c'>

            {/* <>上</> */}
            <div className='main-container_s'>

              {/* <>上1#腹水间</> */}
              <div style={{ width: "33%", height: "100%", float: "left", textAlign: "center" }}>
                <BorderBox1>
                <div style={{ height: "15%" }}>
                    <div style={{ height: "30%", width: "100%", textAlign: "center" }}>
                      <div style={{ height: "50px", width: "90%", display: "block", margin: " 0 auto", textAlign: "center" }} className='titlebak'>
                        <h2 style={{ color: "#34CDE1" }}>&nbsp;&nbsp;1#复水间</h2>
                      </div>
                    </div>
                  </div>
                  <div style={{ float: "left", width: "33.3%" }}>
                    <div style={{ height: "55px", width: "90%", marginLeft: "15px" }}>
                      <BorderBox10 >
                        <div ><h4>1#浸泡机</h4> </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>温度：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device1.A1"]}</span>
                        </div>
                      </BorderBox10>
                    </div>
                    <div style={{ height: "55px", width: "90%", marginLeft: "15px", marginTop: "10px" }}>
                      <BorderBox10 >
                        <div ><h4 >1#称重提升机</h4> </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>重量：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device1.A5"]}</span>
                        </div>
                      </BorderBox10>
                    </div>
                    <div style={{ height: "55px", width: "90%", marginLeft: "15px", marginTop: "10px" }}>
                      <BorderBox10 >
                        <div ><h4>1#限量提升机</h4> </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>频率：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device1.A9"]}</span>
                        </div>
                      </BorderBox10>
                    </div>
                    <div style={{ height: "80px", width: "90%", marginLeft: "15px", marginTop: "10px" }}>
                      <BorderBox10 >
                        <div ><h4>储油暂存罐</h4> </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>温度：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device1.A3"]}</span>
                        </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>压力：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device1.A4"]}</span>
                        </div>
                      </BorderBox10>
                    </div>
                  </div>
                  <div style={{ float: "left", width: "33.3%" }}>
                    <div style={{ height: "55px", width: "90%", marginLeft: "15px" }}>
                      <BorderBox10 >
                        <div ><h4>1#防浮链板</h4> </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>频率：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device1.A14"]}</span>
                        </div>
                      </BorderBox10>
                    </div>
                    <div style={{ height: "55px", width: "90%", marginLeft: "15px", marginTop: "10px" }}>
                      <BorderBox10 >
                        <div ><h4>1#浸泡出缓存提升机</h4> </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>频率：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device1.A16"]}</span>
                        </div>
                      </BorderBox10>
                    </div>
                    <div style={{ height: "55px", width: "90%", marginLeft: "15px", marginTop: "10px" }}>
                      <BorderBox10 >
                        {/* <div ><h4>1#脱水称重提升机</h4> </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>频率：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device1.A18"]}</span>
                        </div> */}
                          <div ><h4>1#浸泡出料机</h4> </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>频率：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device1.A25"]}</span>
                        </div>
                      </BorderBox10>
                    </div>
                    <div style={{ height: "80px", width: "90%", marginLeft: "15px", marginTop: "10px" }}>
                      <BorderBox10 >
                        <div ><h4>1#称重提升机</h4> </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>预置重量：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device1.A8"]}</span>
                        </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>预置次数：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device1.A10"]}</span>
                        </div>
                      </BorderBox10>
                    </div>
                  </div>
                  <div style={{ float: "left", width: "33.3%" }}>
                    <div style={{ height: "55px", width: "90%", marginLeft: "15px" }}>
                      <BorderBox10 >
                        <div ><h4>1#伸缩式进料机</h4> </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>频率：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device1.A20"]}</span>
                        </div>
                      </BorderBox10>
                    </div>
                    <div style={{ height: "55px", width: "90%", marginLeft: "15px", marginTop: "10px" }}>
                      <BorderBox10 >
                        <div ><h4>1#离心电机</h4> </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>频率：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device1.A22"]}</span>
                        </div>
                      </BorderBox10>
                    </div>
                    <div style={{ height: "55px", width: "90%", marginLeft: "15px", marginTop: "10px" }}>
                      <BorderBox10 >
                        <div ><h4>跨线提升机</h4> </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>频率：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device1.A24"]}</span>
                        </div>
                      </BorderBox10>
                    </div>
                    <div style={{ height: "80px", width: "90%", marginLeft: "15px", marginTop: "10px" }}>
                      <BorderBox10 >
                        {/* <div ><h4>1#浸泡出料机</h4> </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>频率：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device1.A25"]}</span>
                        </div> */}
                        <div ><h4>1#脱水称重提升机</h4> </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>频率：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device1.A18"]}</span>
                        </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>备料次数：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device1.A27"]}</span>
                        </div>
                      </BorderBox10>
                    </div>
                  </div>
                </BorderBox1>
              </div>
              
               {/* <>上中</> */}
               <div style={{ width: "33%", height: "100%", float: "left", textAlign: "center" }}>
                <BorderBox1>
                  <div style={{ height: "15%" }}>
                    <div style={{ height: "30%", width: "100%", textAlign: "center" }}>
                      <div style={{ height: "50px", width: "90%", display: "block", margin: " 0 auto", textAlign: "center" }} className='titlebak'>
                        <h2 style={{ color: "#34CDE1" }}>&nbsp;&nbsp;油炸间</h2>
                      </div>
                    </div>
                  </div>
                  <div style={{ float: "left", width: "50%" }}>
                    <div style={{ height: "58px", width: "90%", marginLeft: "15px" }}>
                      <BorderBox10 >
                        <div ><h4>一区温度测量</h4> </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>测量值：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device3.A1"]}</span>
                        </div>
                      </BorderBox10>
                    </div>
                    <div style={{ height: "58px", width: "90%", marginLeft: "15px", marginTop: "10px" }}>
                      <BorderBox10 >
                        <div ><h4>二区温度测量</h4> </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>测量值：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device3.A2"]}</span>
                        </div>
                      </BorderBox10>
                    </div>
                    <div style={{ height: "58px", width: "90%", marginLeft: "15px", marginTop: "10px" }}>
                      <BorderBox10 >
                        <div ><h4>三区温度测量</h4> </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>测量值：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device3.A3"]}</span>
                        </div>
                      </BorderBox10>
                    </div>
                    <div style={{ height: "58px", width: "90%", marginLeft: "15px", marginTop: "10px" }}>
                      <BorderBox10 >
                        <div ><h4>刮渣开：</h4> </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>时间：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device2.A6"]}</span>
                        </div>
                      </BorderBox10>
                    </div>
                  </div>
                  <div style={{ float: "left", width: "50%" }}>
                    <div style={{ height: "58px", width: "90%", marginLeft: "15px" }}>
                      <BorderBox10 >
                        <div ><h4>一区温度测量</h4> </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>设定值：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device3.A4"]}</span>
                        </div>
                      </BorderBox10>
                    </div>
                    <div style={{ height: "58px", width: "90%", marginLeft: "15px", marginTop: "10px" }}>
                      <BorderBox10 >
                        <div ><h4>二区温度测量</h4> </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>设定值：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device3.A5"]}</span>
                        </div>
                      </BorderBox10>
                    </div>
                    <div style={{ height: "58px", width: "90%", marginLeft: "15px", marginTop: "10px" }}>
                      <BorderBox10 >
                        <div ><h4>三区温度测量</h4> </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>设定值：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device3.A6"]}</span>
                        </div>
                      </BorderBox10>
                    </div>
                    <div style={{ height: "58px", width: "90%", marginLeft: "15px", marginTop: "10px" }}>
                      <BorderBox10 >
                        <div ><h4>刮渣关：</h4> </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>时间：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device2.A8"]}</span>
                        </div>
                      </BorderBox10>
                    </div>
                  </div>
                </BorderBox1>
              </div>

                  {/* <>上右</> */}
              <div style={{ width: "33%", height: "100%", float: "left", textAlign: "center" }}>
                <BorderBox1>
                  <div style={{ height: "14%" }}>
                    <div style={{ height: "30%", width: "100%", textAlign: "center" }}>
                      <div style={{ height: "50px", width: "90%", display: "block", margin: " 0 auto", textAlign: "center" }} className='titlebak'>
                        <h2 style={{ color: "#34CDE1" }}>&nbsp;&nbsp;1#搅拌间</h2>
                      </div>
                    </div>
                  </div>
                  <div style={{ float: "left", width: "33.3%" }}>
                    <div style={{ height: "80px", width: "90%", marginLeft: "15px" }}>
                      <BorderBox10 >
                        <div ><h4>1#称重提升机</h4> </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>预置重量：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device2.A1"]}</span>
                        </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>预置次数：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device2.A3"]}</span>
                        </div>
                      </BorderBox10>
                    </div>
                    <div style={{ height: "98px", width: "90%", marginLeft: "15px",marginTop:"10px"}}>
                      <BorderBox10 >
                        <div ><h4>1#脱油称重提升机</h4> </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>频率：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device2.A12"]}</span>
                        </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>实时重量：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device2.A26"]}</span>
                        </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>备料次数：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device2.A30"]}</span>
                        </div>
                      </BorderBox10>
                    </div>
                    <div style={{ height: "55px", width: "90%", marginLeft: "15px",marginTop:"10px"}}>
                      <BorderBox10 >
                        <div ><h4>1#伸缩式进料机</h4> </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>频率：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device2.A14"]}</span>
                        </div>
                      </BorderBox10>
                    </div>
                  </div>
                  <div style={{ float: "left", width: "33.3%" }}>
                    <div style={{ height: "55px", width: "90%", marginLeft: "15px" }}>
                      <BorderBox10 >
                        <div ><h4>1#离心电机</h4> </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>频率：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device2.A16"]}</span>
                        </div>
                      </BorderBox10>
                    </div>
                    <div style={{ height: "55px", width: "90%", marginLeft: "15px",marginTop:"10px" }}>
                      <BorderBox10 >
                        <div ><h4>抖料高位提升机</h4> </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>频率：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device2.A18"]}</span>
                        </div>
                      </BorderBox10>
                    </div>
                    <div style={{ height: "55px", width: "90%", marginLeft: "15px",marginTop:"10px" }}>
                      <BorderBox10 >
                        <div ><h4>抖料称重输送机</h4> </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>频率：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device2.A19"]}</span>
                        </div>
                      </BorderBox10>
                    </div>
                    <div style={{ height: "55px", width: "90%", marginLeft: "15px",marginTop:"10px" }}>
                      <BorderBox10 >
                        <div ><h4>抖料伸缩式进料机</h4> </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>频率：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device2.A20"]}</span>
                        </div>
                      </BorderBox10>
                    </div>
                  </div>
                  <div style={{ float: "left", width: "33.3%" }}>
                    <div style={{ height: "90px", width: "90%", marginLeft: "15px" }}>
                      <BorderBox10 >
                        <div ><h4>抖料机</h4> </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>预置出料秒：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device2.A7"]}</span>
                        </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>预置出料分：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device2.A8"]}</span>
                        </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>投辅料预置停秒：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device2.A9"]}</span>
                        </div>
                      </BorderBox10>
                    </div>
                    <div style={{ height: "100px", width: "90%", marginLeft: "15px",marginTop:"10px"}}>
                      <BorderBox10 >
                        <div ><h4>称重输送机</h4> </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>预置重量：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device2.A5"]}</span>
                        </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>预置次数：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device2.A6"]}</span>
                        </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>实时重量：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device2.A28"]}</span>
                        </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>备料次数：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device2.A31"]}</span>
                        </div>
                      </BorderBox10>
                    </div>
                    <div style={{ height: "55px", width: "90%", marginLeft: "15px",marginTop:"10px"}}>
                      <BorderBox10 >
                        <div ><h4>主盘旋旋转电机</h4> </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>频率：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device2.A25"]}</span>
                        </div>
                      </BorderBox10>
                    </div>
                  </div>

                </BorderBox1>
              </div>
            </div>


            {/* <>中</> */}
            <div className='main-container_z'>
              
               {/* <div style={{ width: "33%", height: "100%", float: "left", textAlign: "center" }}>
                <BorderBox1>
                  <div style={{width: "100", height: "100%",marginTop:"20px", float: "left",marginLeft:"25px"}}>
                  <ReactPlayer className='react-player' playing={true} controls={true} loop={true}  width='99%' height='90%'  url={mp43url} />
                  </div>
                 </BorderBox1>
              </div>
              <div style={{ width: "33%", height: "100%", float: "left", textAlign: "center" }}>
                <BorderBox1>
                <div style={{width: "100", height: "100%",marginTop:"20px", float: "left",marginLeft:"25px"}}>
                  <ReactPlayer className='react-player' playing={true} controls={true} loop={true}  width='99%' height='90%'  url={mp43url} />
                  </div>
                 </BorderBox1>
              </div>
              <div style={{ width: "33%", height: "100%", float: "left", textAlign: "center" }}>
                <BorderBox1>
                <div style={{width: "100", height: "100%",marginTop:"20px", float: "left",marginLeft:"25px"}}>
                  <ReactPlayer className='react-player' playing={true} controls={true} loop={true}  width='99%' height='90%'  url={mp43url} />
                  </div>
                 </BorderBox1>
              </div> */}
              <BorderBox1>
                
                <ReactPlayer className='react-player' playing={true} controls={true} loop={true} style={{float: "left"}}  width='33.3%' height='100%'  url={mp43url} />
               <ReactPlayer className='react-player' playing={true} controls={true} loop={true}  style={{float: "left"}} width='33.3%' height='100%'  url={mp43url} />
               <ReactPlayer className='react-player' playing={true} controls={true} loop={true}  style={{float: "left"}} width='33.3%' height='100%'  url={mp43url} />
               {/* <div style={{width: "99%",height:"91%",float: "left",marginTop:"17px",marginLeft:"10px"}}>
                </div> */}
              </BorderBox1>
            </div>


            {/* <>下</> */}
            <div className='main-container_x'>

               {/* <>下左</> */}
               <div style={{ width: "33%", height: "100%", float: "left", textAlign: "center" }}>
                <BorderBox1>
                <div style={{ height: "15%" }}>
                    <div style={{ height: "30%", width: "100%", textAlign: "center" }}>
                      <div style={{ height: "50px", width: "90%", display: "block", margin: " 0 auto", textAlign: "center" }} className='titlebak'>
                        <h2 style={{ color: "#34CDE1" }}>&nbsp;&nbsp;2#复水间</h2>
                      </div>
                    </div>
                  </div>
                  <div style={{ float: "left", width: "33.3%" }}>
                    <div style={{ height: "55px", width: "90%", marginLeft: "15px" }}>
                      <BorderBox10 >
                        <div ><h4>2#浸泡机</h4> </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>温度：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device1.A2"]}</span>
                        </div>
                      </BorderBox10>
                    </div>
                    <div style={{ height: "55px", width: "90%", marginLeft: "15px", marginTop: "10px" }}>
                      <BorderBox10 >
                        <div ><h4 >2#称重提升机</h4> </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>重量：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device1.A6"]}</span>
                        </div>
                      </BorderBox10>
                    </div>
                    <div style={{ height: "55px", width: "90%", marginLeft: "15px", marginTop: "10px" }}>
                      <BorderBox10 >
                        <div ><h4>2#限量提升机</h4> </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>频率：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device1.A13"]}</span>
                        </div>
                      </BorderBox10>
                    </div>
                    <div style={{ height: "80px", width: "90%", marginLeft: "15px", marginTop: "10px" }}>
                      <BorderBox10 >
                        <div ><h4>原油罐称重</h4> </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>重量：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device4.A1"]}</span>
                        </div>
                      </BorderBox10>
                    </div>
                  </div>
                  <div style={{ float: "left", width: "33.3%" }}>
                    <div style={{ height: "55px", width: "90%", marginLeft: "15px" }}>
                      <BorderBox10 >
                        <div ><h4>2#防浮链板</h4> </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>频率：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device1.A15"]}</span>
                        </div>
                      </BorderBox10>
                    </div>
                    <div style={{ height: "55px", width: "90%", marginLeft: "15px", marginTop: "10px" }}>
                      <BorderBox10 >
                        <div ><h4>2#浸泡出缓存提升机</h4> </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>频率：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device1.A17"]}</span>
                        </div>
                      </BorderBox10>
                    </div>
                    <div style={{ height: "55px", width: "90%", marginLeft: "15px", marginTop: "10px" }}>
                      <BorderBox10 >
                        {/* <div ><h4>1#脱水称重提升机</h4> </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>频率：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device1.A18"]}</span>
                        </div> */}
                          <div ><h4>2#浸泡出料机</h4> </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>频率：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device1.A26"]}</span>
                        </div>
                      </BorderBox10>
                    </div>
                    <div style={{ height: "80px", width: "90%", marginLeft: "15px", marginTop: "10px" }}>
                      <BorderBox10 >
                        <div ><h4>2#称重提升机</h4> </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>预置重量：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device1.A9"]}</span>
                        </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>预置次数：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device1.A11"]}</span>
                        </div>
                      </BorderBox10>
                    </div>
                  </div>
                  <div style={{ float: "left", width: "33.3%" }}>
                    <div style={{ height: "55px", width: "90%", marginLeft: "15px" }}>
                      <BorderBox10 >
                        <div ><h4>2#伸缩式进料机</h4> </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>频率：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device1.A21"]}</span>
                        </div>
                      </BorderBox10>
                    </div>
                    <div style={{ height: "55px", width: "90%", marginLeft: "15px", marginTop: "10px" }}>
                      <BorderBox10 >
                        <div ><h4>2#离心电机</h4> </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>频率：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device1.A23"]}</span>
                        </div>
                      </BorderBox10>
                    </div>
                    <div style={{ height: "55px", width: "90%", marginLeft: "15px", marginTop: "10px" }}>
                      <BorderBox10 >
                        <div ><h4>跨线提升机</h4> </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>频率：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device1.A24"]}</span>
                        </div>
                      </BorderBox10>
                    </div>
                    <div style={{ height: "80px", width: "90%", marginLeft: "15px", marginTop: "10px" }}>
                      <BorderBox10 >
                        {/* <div ><h4>1#浸泡出料机</h4> </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>频率：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device1.A25"]}</span>
                        </div> */}
                        <div ><h4>2#脱水称重提升机</h4> </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>频率：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device1.A19"]}</span>
                        </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>备料次数：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device1.A28"]}</span>
                        </div>
                      </BorderBox10>
                    </div>
                  </div>
                </BorderBox1>
              </div>

                 {/* <>下中</> */}
              <div style={{ width: "33%", height: "100%", float: "left" }}>
                <BorderBox1>
                  <div style={{ width: '93%', height: '100%', display: "block", margin: " 0 auto", }}>
                    <div style={{ height: "15%" }}>
                      <div style={{ height: "30%", width: "100%", textAlign: "center" }}>
                        <div style={{ height: "50px", width: "90%", display: "block", margin: " 0 auto", textAlign: "center" }} className='titlebak'>
                          <h2 style={{ color: "#34CDE1" }}>&nbsp;&nbsp;报警信息</h2>
                        </div>
                      </div>
                    </div>
                    <ScrollBoard config={logData} style={{ width: '100%', height: '80%' }} />
                  </div>
                </BorderBox1>
              </div>


               {/* <>下右</> */}
              <div style={{ width: "33%", height: "100%", float: "left", textAlign: "center" }}>
                <BorderBox1>
                  <div style={{ height: "14%" }}>
                    <div style={{ height: "30%", width: "100%", textAlign: "center" }}>
                      <div style={{ height: "50px", width: "90%", display: "block", margin: " 0 auto", textAlign: "center" }} className='titlebak'>
                        <h2 style={{ color: "#34CDE1" }}>&nbsp;&nbsp;2#搅拌间</h2>
                      </div>
                    </div>
                  </div>
                  <div style={{ float: "left", width: "33.3%" }}>
                    <div style={{ height: "80px", width: "90%", marginLeft: "15px" }}>
                      <BorderBox10 >
                        <div ><h4>2#称重提升机</h4> </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>预置重量：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device2.A2"]}</span>
                        </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>预置次数：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device2.A4"]}</span>
                        </div>
                      </BorderBox10>
                    </div>
                    <div style={{ height: "98px", width: "90%", marginLeft: "15px",marginTop:"10px"}}>
                      <BorderBox10 >
                        <div ><h4>2#脱油称重提升机</h4> </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>频率：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device2.A13"]}</span>
                        </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>实时重量：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device2.A27"]}</span>
                        </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>备料次数：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device2.A31"]}</span>
                        </div>
                      </BorderBox10>
                    </div>
                  </div>
                  <div style={{ float: "left", width: "33.3%" }}>
                    <div style={{ height: "55px", width: "90%", marginLeft: "15px" }}>
                      <BorderBox10 >
                        <div ><h4>2#离心电机</h4> </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>频率：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device2.A17"]}</span>
                        </div>
                      </BorderBox10>
                    </div>
                    <div style={{ height: "55px", width: "90%", marginLeft: "15px",marginTop:"10px"}}>
                      <BorderBox10 >
                        <div ><h4>2#伸缩式进料机</h4> </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>频率：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device2.A15"]}</span>
                        </div>
                      </BorderBox10>
                    </div>
                    <div style={{ height: "55px", width: "90%", marginLeft: "15px",marginTop:"10px" }}>
                      <BorderBox10 >
                        <div ><h4>风冷输送机</h4> </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>频率：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device2.A10"]}</span>
                        </div>
                      </BorderBox10>
                    </div>
                  </div>
                  <div style={{ float: "left", width: "33.3%" }}>
                    <div style={{ height: "120px", width: "90%", marginLeft: "15px" }}>
                      <BorderBox10 >
                        <div ><h4>旋转拌料电机</h4> </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>1#频率：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device2.A21"]}</span>
                        </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>2#频率：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device2.A22"]}</span>
                        </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>3#频率：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device2.A23"]}</span>
                        </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>4#频率：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device2.A24"]}</span>
                        </div>
                      </BorderBox10>
                    </div>
                    <div style={{ height: "55px", width: "90%", marginLeft: "15px",marginTop:"10px" }}>
                      <BorderBox10 >
                        <div ><h4>双向输送机</h4> </div>
                        <div >
                          <span style={{ fontSize: 10, color: "#50B15D" }}>频率：</span>
                          <span style={{ fontSize: 12 }}>{dataVData["Device2.A11"]}</span>
                        </div>
                      </BorderBox10>
                    </div>
                  </div>
                </BorderBox1>
              </div>
            </div>
          </div>

        </div>
      </FullScreenContainer>
    </div>
  )
}
export default KepData;